# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Axis2Placement2d Class Reference

`#include <StepGeom_Axis2Placement2d.hxx>`

Inheritance diagram for StepGeom_Axis2Placement2d:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_Axis2Placement2d ()
| Returns a Axis2Placement2d .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CartesianPoint)&aLocation)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_CartesianPoint)&aLocation, const Standard_Boolean hasArefDirection, const Handle(StepGeom_Direction)&aRefDirection)
Standard_EXPORT void | SetRefDirection (const Handle(StepGeom_Direction)&aRefDirection)
Standard_EXPORT void | UnSetRefDirection ()
Standard_EXPORT Handle_StepGeom_Direction | RefDirection () const
Standard_EXPORT Standard_Boolean | HasRefDirection () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Direction | refDirection
Standard_Boolean | hasRefDirection

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Axis2Placement2d::StepGeom_Axis2Placement2d | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Axis2Placement2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Placement.

Standard_EXPORT Standard_Boolean StepGeom_Axis2Placement2d::HasRefDirection | ( |  | ) | const

virtual Standard_EXPORT void StepGeom_Axis2Placement2d::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CartesianPoint)& | aLocation,
|  | const Standard_Boolean | hasArefDirection,
|  | const Handle(StepGeom_Direction)& | aRefDirection
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_Axis2Placement2d::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_CartesianPoint)& | aLocation
| ) | `[virtual]`

| Reimplemented from StepGeom_Placement.

Standard_EXPORT Handle_StepGeom_Direction StepGeom_Axis2Placement2d::RefDirection | ( |  | ) | const

Standard_EXPORT void StepGeom_Axis2Placement2d::SetRefDirection | ( | const Handle(StepGeom_Direction)& | aRefDirection | ) |

Standard_EXPORT void StepGeom_Axis2Placement2d::UnSetRefDirection | ( |  | ) |

## Field Documentation

Standard_Boolean StepGeom_Axis2Placement2d::hasRefDirection `[private]`

Handle_StepGeom_Direction StepGeom_Axis2Placement2d::refDirection `[private]`

The documentation for this class was generated from the following file:

- StepGeom_Axis2Placement2d.hxx